<?php

abstract class ExtensionStoreBaseController extends PhabricatorController {

  public function shouldAllowPublic() {
    return true;
  }

  public function getStoreUri($path = '') {

    $base_uri = PhabricatorEnv::getEnvConfig('extensionstore.store-base-uri');
    return $base_uri.ltrim($path, '/');
  }

  public function getFullApplicationUri($path = '') {
    $base_uri = PhabricatorEnv::getEnvConfig('phabricator.base-uri');
    return $base_uri.ltrim(parent::getApplicationURI($path), '/');
  }
}
